Find messages
curl --request GET \
--url https://web-api.clerk.chat/public/messages \
--header 'apiKey: <api-key>'import requests
url = "https://web-api.clerk.chat/public/messages"
headers = {"apiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>'}};
fetch('https://web-api.clerk.chat/public/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"body": "Hello, world!",
"conversationId": "1",
"inbound": true,
"members": [
"+1415456789"
],
"sender": "+1415456789",
"senderType": "user",
"status": "delivered",
"created": "2021-01-01T00:00:00.000Z",
"updated": "2021-01-01T00:00:00.000Z",
"seen": true,
"segments": 1,
"timestamp": "2021-01-01T00:00:00.000Z",
"userId": "1",
"campaignMessageId": 1,
"campaignId": 1,
"channelId": "00000000-0000-0000-0000-000000000000",
"inboxId": "00000000-0000-0000-0000-000000000000",
"error": "<string>",
"sentByName": "Clerk",
"errorCode": 123,
"externalId": "external-id"
}
],
"total": 1,
"links": {
"next": "<string>",
"prev": "<string>",
"self": "<string>"
}
}Messages
Find messages
Find messages for the active team
GET
/
public
/
messages
Find messages
Authorizations
Query Parameters
The IDs of the inboxes to filter messages by. If not provided, all inboxes will be included.
Only messages after this date until the end date or now
Only messages up to this date
Number of items to return (max 50)
Page number
⌘I